Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceSegmentType

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AceSegmentType

    public class AceSegmentType

extends java.lang.Object

Field Summary
`static AceSegmentType` | `SEG_CAPABILITY`
`static AceSegmentType` | `SEG_CAPABILITY_RESP`
`static AceSegmentType` | `SEG_DA_DOWNLOAD`
`static AceSegmentType` | `SEG_ENCRYPT_TYPE`
`static AceSegmentType` | `SEG_HASH_TYPE`
`static AceSegmentType` | `SEG_IDENTIFY_CLIENT`
`static AceSegmentType` | `SEG_IDENTIFY_CLIENT_RESP`
`static AceSegmentType` | `SEG_LOGIN_PASSWORD`
`static AceSegmentType` | `SEG_NAMELOCK_KEY`
`static AceSegmentType` | `SEG_SERVER_LIST`
`static AceSegmentType` | `SEG_SERVER_LIST_RESP`
`static AceSegmentType` | `SEG_SERVER_STATUS`
`static AceSegmentType` | `SEG_SERVER_STATUS_RESP`

Method Summary
`byte` | `length()`
`byte` | `value()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEG_SERVER_LIST

    public static final AceSegmentType SEG_SERVER_LIST

### SEG_SERVER_STATUS

    public static final AceSegmentType SEG_SERVER_STATUS

### SEG_IDENTIFY_CLIENT

    public static final AceSegmentType SEG_IDENTIFY_CLIENT

### SEG_CAPABILITY

    public static final AceSegmentType SEG_CAPABILITY

### SEG_NAMELOCK_KEY

    public static final AceSegmentType SEG_NAMELOCK_KEY

### SEG_HASH_TYPE

    public static final AceSegmentType SEG_HASH_TYPE

### SEG_ENCRYPT_TYPE

    public static final AceSegmentType SEG_ENCRYPT_TYPE

### SEG_DA_DOWNLOAD

    public static final AceSegmentType SEG_DA_DOWNLOAD

### SEG_LOGIN_PASSWORD

    public static final AceSegmentType SEG_LOGIN_PASSWORD

### SEG_SERVER_LIST_RESP

    public static final AceSegmentType SEG_SERVER_LIST_RESP

### SEG_SERVER_STATUS_RESP

    public static final AceSegmentType SEG_SERVER_STATUS_RESP

### SEG_IDENTIFY_CLIENT_RESP

    public static final AceSegmentType SEG_IDENTIFY_CLIENT_RESP

### SEG_CAPABILITY_RESP

    public static final AceSegmentType SEG_CAPABILITY_RESP

Method Detail

### value

    public byte value()

### length

    public byte length()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.